Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.variable.anchor
Class AnchorShadowVariableDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
          org.optaplanner.core.impl.domain.variable.descriptor.ShadowVariableDescriptor
              org.optaplanner.core.impl.domain.variable.anchor.AnchorShadowVariableDescriptor

    public class AnchorShadowVariableDescriptor

extends ShadowVariableDescriptor

Field Summary
`protected VariableDescriptor` | `sourceVariableDescriptor`

Fields inherited from class org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
`entityDescriptor, variableName, variablePropertyAccessor`

Constructor Summary
`AnchorShadowVariableDescriptor(EntityDescriptor entityDescriptor, PropertyDescriptor propertyDescriptor)`

Method Summary
`VariableListener` | `buildVariableListener(InnerScoreDirector scoreDirector)`
`Demand` | `getProvidedDemand()`
`void` | `linkShadowSources(DescriptorPolicy descriptorPolicy)`
`void` | `processAnnotations(DescriptorPolicy descriptorPolicy)`

Methods inherited from class org.optaplanner.core.impl.domain.variable.descriptor.VariableDescriptor
`getEntityDescriptor, getShadowVariableDescriptorList, getSimpleEntityAndVariableName, getValue, getVariableName, getVariablePropertyType, isValueNoPotentialAnchor, registerShadowVariableDescriptor, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sourceVariableDescriptor

    protected VariableDescriptor sourceVariableDescriptor

Constructor Detail

### AnchorShadowVariableDescriptor

    public AnchorShadowVariableDescriptor(EntityDescriptor entityDescriptor,
                                          PropertyDescriptor propertyDescriptor)

Method Detail

### processAnnotations

    public void processAnnotations(DescriptorPolicy descriptorPolicy)

  Specified by:
    `processAnnotations` in class `ShadowVariableDescriptor`

### linkShadowSources

    public void linkShadowSources(DescriptorPolicy descriptorPolicy)

  Specified by:
    `linkShadowSources` in class `ShadowVariableDescriptor`

### getProvidedDemand

    public Demand getProvidedDemand()

  Specified by:
    `getProvidedDemand` in class `ShadowVariableDescriptor`
  Returns:
    never null

### buildVariableListener

    public VariableListener buildVariableListener(InnerScoreDirector scoreDirector)

  Specified by:
    `buildVariableListener` in class `ShadowVariableDescriptor`
  Parameters:
    `scoreDirector` - never null
  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.